body {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
	background-color: #eef0f2;
	height: 100vh;
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 0.7rem 1.5rem;
	background-color: #007aff;
}

.logo {
	display: flex;
	align-items: center;
	gap: 0.5rem;
	text-decoration: none;
	color: white;
}

.logo wa-icon {
  font-size: 1.5rem;
}

.logo h1 {
	font-size: 1.5rem;
	margin: 0;
}

main {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-grow: 1;
}

.sidenav {
	display: flex;
	flex-direction: column;
	height: 100%;
	width: 10rem;
	box-shadow: 0.2rem 0 0.5rem rgba(0, 0, 0, 0.1);
	background-color: #ffffff;
	transition: all 0.3s ease-in-out;
}

.sidenav .toggle-drawer {
	background-color: #f0f0f0;
	font-size: 0.8rem;
	padding: 0.8rem;
	border-radius: 50%;
	cursor: pointer;
}

.sidenav .toggle-drawer:hover {
	background-color: #e0e0e0;
	color: #0055cc;
}

.sidenav-header {
	display: flex;
	justify-content: flex-end;
	width: 100%;
	padding: 0.5rem;
}

.sidenav nav {
	flex-grow: 1;
	display: flex;
	flex-direction: column;
	gap: 0.7rem;
	padding: 0.5rem 0.7rem;
}

.sidenav nav a {
	display: flex;
	align-items: center;
	justify-content: flex-start;
	gap: 0.4rem;
	color: #007aff;
	text-decoration: none;
}

.sidenav nav a:hover {
	color: #0055cc;
}

.sidenav nav a wa-icon {
	font-size: 1.2rem;
}

.sidenav nav a .nav-label {
	font-size: 1rem;
}

.sidenav .chat-history {
	transition: all 0.3s ease-in-out;
}

.sidenav .chat-history small {
	display: flex;
	align-items: center;
	gap: 0.2rem;
}

.sidenav .chat-history small wa-icon {
	font-size: 0.8rem;
}

.sidenav .chat-history .chat-link {
	font-size: 0.9rem;
	line-height: 1.5;
}

.sidenav .active {
	color: #0055cc;
	font-weight: 500;
}

.sidenav.collapsed {
	width: 3rem;
	transition: all 0.3s ease-in-out;
}

.sidenav.collapsed .sidenav-header {
	justify-content: center;
}

.sidenav.collapsed .toggle-drawer { 
	transform: rotate(180deg);
}

.sidenav.collapsed nav a {
	justify-content: center;
}

.content-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
	flex-grow: 1;
  gap: 1rem;
	padding: 1rem;
}

h2 {
  color: #0055cc;
  text-align: center;
}

.content {
	display: flex;
	flex-grow: 1;
	gap: 2rem;
}

.prompt-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  min-height: 30rem;
}

wa-card::part(body) {
	padding: 0.3rem;
}

wa-card::part(footer) {
	display: flex;
	justify-content: space-between;
	align-items: center;
	border-block-start-color: transparent;
	padding: 0.5rem 0.7rem 0.7rem 0.7rem;
}

wa-textarea::part(base) {
  border: none;
  outline-color: transparent;
}

wa-textarea::part(textarea) {
	width: 40vw;
	max-height: 15rem;
  padding: 0.5rem 0.7rem;;
	overflow-y: auto;
}

.image-container {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 0.5rem;
}

.image-wrapper {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 30rem;
	height: auto;
	min-height: 30rem;
	border-radius: 0.5rem;
	box-shadow: inset 0 0 0.5rem #0000001a;
}

.image-wrapper span {
	color: #888888;
	text-align: center;
	font-size: 2rem;
	width: 70%;
}

footer {
	text-align: center;
	background-color: #007aff;
	padding: 0.5rem 1.5rem;
	color: white;
}

.hide {
	display: none;
}

@media (orientation: portrait) {

	.sidenav.mobile nav {
		gap: 1.5rem;
	}

	.sidenav.mobile nav a wa-icon {
		font-size: 1.5rem;
	}

	.content {
		flex-direction: column;
	}

	.prompt-wrapper {
		justify-content: flex-start;
		gap: 1rem;
		min-height: auto;
	}

	wa-textarea::part(textarea) {
		width: 80vw;
	}

	.image-wrapper {
		width: 70vw;
		min-height: 25rem;
	}

	.image-wrapper span {
		font-size: 1.5rem;
	}

}